var base_url = 'http://www.northguru.com/';    

$(window).scroll(function () {
        if($(window).scrollTop() + $(window).height() == $(document).height()) {
            var pathArray = window.location.pathname.split( '/' );
            var segment_2 = pathArray[2];
            if(segment_2 == 'agent_query'){  all_agent_query();}
            if(segment_2 == 'agent_downloads'){ all_agent_downloads();}
            if(segment_2 == 'agent_wishlist'){ all_agent_wishlist();}
        }
 });


function all_agent_query(){
    
     var start = $('#start').val();
     $.ajax({
          url: "agent_query",
          dataType:"json",
          type:"post",
          data:{start:start}, 
          async:false,
          cache: false,
          success: function(data){
             console.log(data); 
             $('#start').val(data.start);
             append_agent_query_data(data)
              
          }
          
    });
     
}


function append_agent_query_data(data){
    
    for(var i = 0; i < data.all_queries.length; i++){
        
           var query = $( ".my_enquiry" ).find('tr').eq(1).clone();
           var itemid ,itinerary_status;
           query.find('.query_date').html(data.all_queries[i].query_date);
           query.find('.tour_type').html(data.all_queries[i].tour_type);
           query.find('.travel_date').html(data.all_queries[i].travel_date);
           var destination = '<p><a href="#" class="testing" itemid="'+data.all_queries[i].query_id+'">'+data.all_queries[i].destination+'</a></p>';
           query.find('.destination').html(destination);
           
           query.find('.customer_name').html(data.all_queries[i].customer_name);
           query.find('.assigned .assigned_executive_info').html(data.all_queries[i].assigned_executive);
           query.find('.assigned .assigned_executive').html(data.all_queries[i].assigned_executive);
           query.find('.assigned .office_contact_no').html(data.all_queries[i].office_contact_no);
           query.find('.assigned .official_emailid').html(data.all_queries[i].official_emailid);
      
           if(data.all_queries[i].id != null){ 
               itemid = data.all_queries[i].id; 
               itinerary_status = '<a href="#itinerary-customize-detail" data-toggle="modal" class="label label-success itinerary-customize-detail-query " role="button" title="Download">'+
                                    '<span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>'+
                                '</a>'+
                                '<!--<a href="#"  data-toggle="modal" class="open-AddBookDialog label label-success package-info" data-target="#download_popup" role="button" title="View Downloads">'+
                                    '<span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#itinerary-customize" data-toggle="modal" class="label label-success itinerary-customize" title="Customize">'+
                                    '<span class="glyphicon glyphicon-edit" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#itinerary-customize" data-toggle="modal"  class="label label-success itinerary-book" role="button" title="Enquery">'+
                                    '<span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>'+
                                '</a>'+
                                 '<a href="#"   class="open-AddBookDialog label label-danger delete-package-query " data-target="#download_popup" role="button" title="Delete">'+
                                    '<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>'+
                                '</a>-->';
           } 
           else { 
               itemid = data.all_queries[i].query_id;
               itinerary_status ='Progress <a href="#"   class="open-AddBookDialog label label-danger delete-package-query " data-target="#download_popup" role="button" title="Delete">'+
                                    '<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>'+
                                '</a>';
           }
           
           query.find('.package-action').attr('itemid',itemid);
           query.find('.package-action').html(itinerary_status);
              
           $( ".my_enquiry" ).find('tbody').append(query);
                   
    } 
    
}


function all_agent_wishlist(){
    
     var start = $('#start').val();
     $.ajax({
          url: "agent_wishlist",
          dataType:"json",
          type:"post",
          data:{start:start}, 
          async:false,
          cache: false,
          success: function(data){
             console.log(data); 
             $('#start').val(data.start);
             append_agent_package_wishlist_data(data)
              
          }
          
    });
     
}



function append_agent_package_wishlist_data(data){
    
     for(var i = 0; i < data.all_packages.length; i++){
        
          var query = $( ".my_enquiry" ).find('tr').eq(1).clone();
           query.find('.itinerary_info').html(data.all_packages[i].title);
           query.find('.start_date').html(data.all_packages[i].start_date);
           query.find('.number_of_nights').html(data.all_packages[i].number_of_nights);
           query.find('.trip_cities').html(data.all_packages[i].trip_cities);
           query.find('.meal_plan').html(data.all_packages[i].meal_plan);
           query.find('.budget').html(data.all_packages[i].budget);
           
           
           var itinerary_status = '<a href="#itinerary-customize-detail" data-toggle="modal" class="label label-success itinerary-customize-detail " role="button" title="Download">'+
                                    '<span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#"  data-toggle="modal" class="open-AddBookDialog label label-success itinerary-download-pdf" data-target="#download_popup" role="button" title="View Downloads">'+
                                    '<span class="glyphicon glyphicon-download" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#itinerary-customize" data-toggle="modal" class="label label-success itinerary-customize" title="Customize">'+
                                    '<span class="glyphicon glyphicon-edit" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#itinerary-customize" data-toggle="modal"  class="label label-success itinerary-book" role="button" title="Enquery">'+
                                    '<span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>'+
                                '</a>'+
                                 '<a href="#"   class="open-AddBookDialog label label-danger delete-package-downloads " data-target="#download_popup" role="button" title="Delete">'+
                                    '<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>'+
                                '</a>';
           
           query.find('.status').html(itinerary_status);
           query.find('.package-action').attr('itemid',data.all_packages[i].id);
           query.find('.package-action').find('.wishlist-id').attr('itemid',data.all_packages[i].wishlist_id);
           
           $( ".my_enquiry" ).find('tbody').append(query);
           
                   
    } 
   
    
}


function all_agent_downloads(){
    
     var start = $('#start').val();
      $.ajax({
          url: "agent_downloads",
          dataType:"json",
          type:"post",
          data:{start:start}, 
          async:false,
          cache: false,
          success: function(data){ 
             console.log(data); 
             $('#start').val(data.start);
             append_agent_package_downloads_data(data)
              
          }
          
    });
     
}



function append_agent_package_downloads_data(data){
    
    for(var i = 0; i < data.all_packages.length; i++){
        
           /*var background_color = '';
           if (i % 2) { 
              background_color = 'seashell';
           }
           else{
              background_color = 'papayawhip'; 
           }*/
        
        
           var query = $( ".my_enquiry" ).find('tr').eq(1).clone();
          // query.css('background-color',background_color);
           query.find('.itinerary_info').html(data.all_packages[i].title);
           query.find('.start_date').html(data.all_packages[i].start_date);
           query.find('.number_of_nights').html(data.all_packages[i].number_of_nights);
           query.find('.trip_cities').html(data.all_packages[i].trip_cities);
           query.find('.meal_plan').html(data.all_packages[i].meal_plan);
           query.find('.budget').html(data.all_packages[i].budget);
           
           
           var itinerary_status = '<a href="#itinerary-customize-detail" data-toggle="modal" class="label label-success itinerary-customize-detail " role="button" title="Download">'+
                                    '<span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#"  data-toggle="modal" class="open-AddBookDialog label label-success itinerary-download-pdf" data-target="#download_popup" role="button" title="View Downloads">'+
                                    '<span class="glyphicon glyphicon-download" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#itinerary-customize" data-toggle="modal" class="label label-success itinerary-customize" title="Customize">'+
                                    '<span class="glyphicon glyphicon-edit" aria-hidden="true"></span>'+
                                '</a>'+
                                '<a href="#itinerary-customize" data-toggle="modal"  class="label label-success itinerary-book" role="button" title="Enquery">'+
                                    '<span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>'+
                                '</a>'+
                                 '<a href="#"   class="open-AddBookDialog label label-danger delete-package-downloads " data-target="#download_popup" role="button" title="Delete">'+
                                    '<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>'+
                                '</a>';
           
           query.find('.status').html(itinerary_status);
           query.find('.package-action').attr('itemid',data.all_packages[i].id);
           query.find('.package-action').find('.download-id').attr('itemid',data.all_packages[i].download_id);
           
           $( ".my_enquiry" ).find('tbody').append(query);
           
                   
    } 
    
}


$(document).on('click', '.delete-package-downloads', $(this), function(){
   
   var result = confirm("Are you sure you want to delete this item?");
   if (result) {
   
               var download_id = $(this).parent().find('.download-id').attr('itemid'); 
               $.ajax({
                            url: "agent_delete_download_itinerary",
                            type: "POST",
                            data:{download_id:download_id},
                            dataType:"text",
                            async:true,
                            cache: false,
                            success: function(data){  
                                if(data == 1){
                                    alert('Itinerary download deleted successfuly ...');
                                    window.location.reload();
                                }


                            }
               });
   }
  
});

$(document).on('click', '.delete-package-wishlist', $(this), function(){
   
   
   var result = confirm("Are you sure you want to delete this item?");
   if (result) {
       
           var wishlist_id = $(this).parent().find('.wishlist-id').attr('itemid'); 
           $.ajax({
                        url: "agent_delete_itinerary_wishlist",
                        type: "POST",
                        data:{wishlist_id:wishlist_id},
                        dataType:"text",
                        async:true,
                        cache: false,
                        success: function(data){ 
                            if(data == 1){
                                alert('Itinerary wishlist deleted successfuly ...');
                                window.location.reload();
                            }


                        }
           });
   }
   
   
  
});

$(document).on('click', '.package-info', $(this), function(){
      
           var itinerary_id = $(this).parent().attr('itemid'); 
           window.open(base_url+'package_info/'+itinerary_id, '_blank');
          
  
});

$(document).on('mouseover', '.testing', $(this), function(){

      
            enq_id = $(this).attr('itemid');
	    $this = $(this);
         
	    $.ajax({
                    url: 'agent/get_enquiry_details',
                    type: 'post',
                    async:false,
                    cache: false,
                    dataType:'text',
                    data: {'enq_id':enq_id},
                    success: function(data){
                        //alert(data);exit;
                      // console.log(data);
                        if(data != ''){
                            $this.tooltip({title: data, html: true, placement: "right"}); 
                            data = '';
                        }
                        
                       // $this.html(data); 
                    },
                    error:function(xhr){
                            alert('there is an error1');
                    }
	     });
					

});

$(document).on('mouseover', '.itinerary_info', $(this), function(){

      
            var itinerary_id = $(this).attr('itemid');
	    $this = $(this);
          //  $this.tooltip({title: '<div></div>', html: true, placement: "right"}); 
	    $.ajax({
                    url: 'agent/get_itinerary_details',
                    type: 'post',
                    async:false,
                    cache: false,
                    dataType:'html',
                    data: {'itinerary_id':itinerary_id},
                    success: function(data){
                        //alert(data);exit;
                        console.log(data);
                        if(data != ''){
                            $this.tooltip({title: data, html: true, placement: "right"}); 
                            data = '';
                        }
                        
                       // $this.html(data); 
                    },
                    error:function(xhr){
                            alert('there is an error2');
                    }
	     });
					

});


$(document).on('mouseover', '.assigned_executive_info', $(this), function(){

      var assigned_executive = $(this).parent().find('.assigned_executive').html();
      var office_contact_no = $(this).parent().find('.office_contact_no').html();
      var official_emailid = $(this).parent().find('.official_emailid').html();
      var assigned_executive_info = '<table width="100%" cellpadding="10" cellspacing="10" border="1" id="my_custom_tool_tip">'
                                        +'<tr>'
                                        +'<td valign="top" align="right" class="right_pad">Name</td>'
                                        +'<td valign="top" align="left" class="left_pad">'+assigned_executive+'</td>'
                                        +'</tr>'
                                        +'<tr>'
                                        +'<td valign="top" align="right" class="right_pad">Phone</td>'
                                        +'<td valign="top" align="left" class="left_pad">'+office_contact_no+'</td>'
                                        +'</tr>'
                                        +'<tr>'
                                        +'<td valign="top" align="right" class="right_pad">Email</td>'
                                        +'<td valign="top" align="left" class="left_pad">'+official_emailid+'</td>'
                                        +'</tr>'
                                      '</table>';
                                      
     $(this).tooltip({title: assigned_executive_info, html: true, placement: "left"}); 
     
     
     
            
					

});


$(document).on('click', '.download-itinerary-select', $(this), function(){
   
   /*$(this).parent().parent().find('li .not-selected').css('display','block');
   $(this).parent().parent().find('li .selected').css('display','none');
   
   if($(this).find('img').eq(1).css('display') == 'block'){
       $(this).find('img').eq(0).css('display','block');
       $(this).find('img').eq(1).css('display','none');
   }
   else{
       $(this).find('img').eq(1).css('display','block');
       $(this).find('img').eq(0).css('display','none');
       $(this).parent().parent().find('br').remove();
   }*/
   
    $(this).closest('.tab_view_detail').find('.download-itinerary').attr('itemid',$(this).val());
  
});



$(document).on('click', '.itinerary-download-pdf', $(this), function(){
   
   var download_id = $(this).parent().find('.download-id').attr('itemid');
   if(download_id == undefined){
       download_id = $(this).parent().find('.wishlist-id').attr('itemid');
   }
  
   var download_from = $(this).parent().find('.download-from').attr('itemid');
   var markup = $(this).parent().attr('markup');
   
   $('#itinerary-download').find('.download-id').val(download_id);
   $('#itinerary-download').find('.download-from').val(download_from);
   $('#itinerary-download').find('.package-markup').val(markup);
   
   
});

$(document).on('click', '.download-itinerary', $(this), function(){

    
   var download_id = $(this).closest('#itinerary-download').find('.download-id').val();
   var download_from = $(this).closest('#itinerary-download').find('.download-from').val();
   
   var markup = $(this).closest('#itinerary-download').find('.package-markup').val();
  
   var download_type = $(this).attr('itemid');
   var download_link = '';
   if(download_type == ''){
       alert('Please select download item ...'); return false;
   }
   if(download_type == 'pdf'){
       download_link = base_url+'generate_pdf/'+download_id+'/'+markup+'/'+download_from;
       $('#itinerary-download .close').click();
       window.open(download_link);
       //location.reload();
   }
   if(download_type == 'word'){
       download_link = base_url+'generate_word/'+download_id+'/'+markup+'/'+download_from;
       $('#itinerary-download .close').click();
       window.location = download_link;
       //location.reload();
   }
   if(download_type == 'email'){
       agent_mail_download_itinerary(download_id,markup);
   }  
    
 
  
});

function agent_mail_download_itinerary(download_id, markup){
    
    $('#itinerary_email_loder').show();
    $.ajax({
                url: "agent_mail_download_itinerary",
                type: "POST",
                data:{download_id:download_id,markup:markup},
                dataType:"text",
                async:true,
                cache: false,
                success: function(data){  
                    if(data == 1){ 
                            
                            alert('Mail has been sent successfuly ..');
                            $('#itinerary_email_loder').hide();
                            $('#itinerary-download .close').click();
                            //location.reload();
                     }
                      
                }
   });
    
  
    
}


$(document).on('click', '.itinerary-customize', $(this), function(){
   
   
   var itinerary_id = $(this).parent().attr('itemid');
   var package_box = $('#itinerary-customize');
   package_box.find('.change-itinerary-bg').css('display','block');
   package_box.find(".form-area").css('display', 'none');
   package_box.find(".itinerary_id").val(itinerary_id);
  

   var itinerary_loader = $('#itinerary_loader').clone();
   itinerary_loader.css('display','block');
   itinerary_loader.css('margin','10% 0px');
   $('#itinerary-customize .customized_itinerary_detail').append(itinerary_loader)
     
   
   $.ajax({
        url: "get_itinerary_detail",
        type: "POST",
        data:{itinerary_id:itinerary_id},
        dataType:"json",
        async:true,
        cache: false,
        success: function(data){ 
                 attach_itinerary_data(package_box , data);
        }
        });
   
  
});


$(document).on('click', '.itinerary-book', $(this), function(){
   
   var itinerary_id = $(this).parent().attr('itemid');
   var package_box = $('#itinerary-customize');
   package_box.find('.change-itinerary-bg').css('display','none');
   package_box.find(".form-area").css('display', 'none');
   package_box.find(".itinerary_id").val(itinerary_id);
   

   var itinerary_loader = $('#itinerary_loader').clone();
   itinerary_loader.css('display','block');
   itinerary_loader.css('margin','10% 0px');
   $('#itinerary-customize .customized_itinerary_detail').append(itinerary_loader)
   
   $.ajax({
        url: "get_itinerary_detail",
        type: "POST",
        data:{itinerary_id:itinerary_id},
        dataType:"json",
        async:true,
        cache: false,
        success: function(data){ 
                 attach_itinerary_data(package_box , data);
        }
        });
   
  
});



function attach_itinerary_data(package_box , data){
    
            package_box.find('.change-itinerary-bg').empty();
            var itinerary_nights = 0;
            for(var i = 0; i < data.itinerary_nights.length; i++){ 
                    
                    itinerary_nights = itinerary_nights + Number(data.itinerary_nights[i].nights); 
                    var change_itinerary_box = package_box.find('.change-itinerary').eq(0).clone();
                    change_itinerary_box.find('.itinerary_detail_city_name').html(data.itinerary_nights[i].city_name);
                    var itinerary_nights_index = Number(data.itinerary_nights[i].nights)-1;
                    change_itinerary_box.find('.itinerary_detail_nights').children().eq(itinerary_nights_index).prop('selected', true);
                    change_itinerary_box.css('display','');
                    package_box.find('.change-itinerary-bg').append(change_itinerary_box);
                    
            }
            
            make_itinerary_start_date(package_box);
            var number_of_nights_text = itinerary_nights+' Nights / '+(itinerary_nights+1)+' Days'; 
            package_box.find('.number_of_nights').html(number_of_nights_text);
            package_box.find(".itinerary_hotel_category option[value='"+data.hotel_star+"']").prop('selected', true);
            package_box.find(".itinerary_vehicle_name option[value='"+data.vehicle_id+"']").prop('selected', true);
            package_box.find(".itinerary_meal_plan option[value='"+data.meal_plan+"']").prop('selected', true);
            package_box.find(".form-area").css('display', 'block');
            package_box.find(".itinerary_start_date").val('');
            package_box.find('#itinerary_loader').css('display','none');
     
    
}
  
function make_itinerary_start_date(package_box){
    
    var nowTemp = new Date();
    var now = new Date(nowTemp.getFullYear(), nowTemp.getMonth(), nowTemp.getDate(), 0, 0, 0, 0);
        
    package_box.find('.itinerary_start_date').datepicker({
	  format: 'yyyy-mm-dd',
          onRender: function(date) {
		return date.valueOf() < now.valueOf() ? 'disabled' : '';
	  },
          autoClose:true
    });
    package_box.find('.itinerary_start_date').datepicker().on('changeDate', function (ev) { 
       $(this).datepicker('hide');
    });
    
    
}






$(document).on('click', '.itinerary-customize-detail', $(this), function(){
   
   var itinerary_id = $(this).parent().attr('itemid');
  
   $.ajax({
        url: "itinerary_customize_detail",
        type: "POST",
        data:{itinerary_id:itinerary_id},
        dataType:"html",
        async:true,
        cache: false,
        beforeSend : function() { $.blockUI(); },
        complete: function () { $.unblockUI(); },
        error: function () { $.unblockUI(); },
        success: function(data){
                 $('#itinerary-customize-detail .tab_view-detail').html(data);
        }
        });
   
  
});

$(document).on('click', '.itinerary-customize-detail-query', $(this), function(){
   
   var itinerary_id = $(this).parent().attr('itemid');
   var itinerary_loader = $('#itinerary_loader').clone();
   itinerary_loader.css('display','block');
   $('#itinerary-customize-detail .tab_view-detail').html(itinerary_loader)
  
   $.ajax({
        url: "itinerary_customize_detail_query",
        type: "POST",
        data:{itinerary_id:itinerary_id},
        dataType:"html",
        async:true,
        cache: false,
        beforeSend : function() { $.blockUI(); },
        complete: function () { $.unblockUI(); },
        error: function () { $.unblockUI(); },
        success: function(data){
                 $('#itinerary-customize-detail .tab_view-detail').html(data);
        }
        });
   
  
});



$(document).on('click', '.itinerary-customize-detail-download', $(this), function(){
   
   var download_id = $(this).attr('itemid');
   var itinerary_loader = $('#itinerary_loader').clone();
   itinerary_loader.css('display','block');
   $('#itinerary-customize-detail .tab_view-detail').html(itinerary_loader)
   $.ajax({
        url: "itinerary_customize_detail_download",
        type: "POST",
        data:{download_id:download_id},
        dataType:"html",
        async:true,
        cache: false,
        beforeSend : function() { $.blockUI(); },
        complete: function () { $.unblockUI(); },
        error: function () { $.unblockUI(); },
        success: function(data){
            
                 $('#itinerary-customize-detail .tab_view-detail').html(data);
        }
        });
   
  
});

$(document).on('click', '.itinerary-customize-detail-wishlist', $(this), function(){
   
   var wishlist_id = $(this).attr('itemid');
   var itinerary_loader = $('#itinerary_loader').clone();
   itinerary_loader.css('display','block');
   $('#itinerary-customize-detail .tab_view-detail').html(itinerary_loader)
   $.ajax({
        url: "itinerary_customize_detail_wishlist",
        type: "POST",
        data:{wishlist_id:wishlist_id},
        dataType:"html",
        async:true,
        cache: false,
        beforeSend : function() { $.blockUI(); },
        complete: function () { $.unblockUI(); },
        error: function () { $.unblockUI(); },
        success: function(data){
                 $('#itinerary-customize-detail .tab_view-detail').html(data);
        }
        });
   
  
});

    



$(document).on('change', '.itinerary_detail_nights', $(this), function(){
   

  var number_of_nights = 0;
  $(this).parent().parent().find('.itinerary_detail_nights').each(function(){
       number_of_nights = number_of_nights + Number($(this).val());
  })
  var number_of_nights_text = number_of_nights+' Nights / '+(number_of_nights+1)+' Days'; 
  $(this).parent().parent().parent().next().find('.number_of_nights').html(number_of_nights_text);
  
  
});




/* Start In package list manage no of person */
$(document).on('click', '.package_no_of_person', $(this), function(){
   
   if($(this).next().css('display') == 'none'){
       $(this).next().css('display','block');
   }
   else{
       $(this).next().css('display','none');
   }
   
});


$(document).on('click', '.package-hotel-room-plus', $(this), function(){
   
   $this = $(this).parent().prev();
    if($this.val() < 6){
        $count = Number($(this).parent().prev().val());
        $this.val($count+1);
        var room_box = $(this).closest('.ht_shRoomOpt').find('.numberofroom').first().clone();
        $(this).closest('.ht_shRoomOpt').append(room_box);
    }
    $room_detail = $(this).closest('.ht_shRoomOpt');
    $person_detail = $(this).closest('.package_room_detail').prev();
    calculate_package_guest_detail($room_detail,$person_detail);
   
});

$(document).on('click', '.package-hotel-room-minus', $(this), function(){
   
   $this = $(this).parent().prev();
   if($this.val() > 1){
        $count = Number($(this).parent().prev().val());
        $this.val($count-1);
        $(this).closest('.ht_shRoomOpt').find('.numberofroom:last').remove();
   }
   $room_detail = $(this).closest('.ht_shRoomOpt');
   $person_detail = $(this).closest('.package_room_detail').prev();
   calculate_package_guest_detail($room_detail,$person_detail);
   
});

$(document).on('click', '.package-hotel-child-plus', $(this), function(){
    
    $this = $(this).parent().prev();
    $room_box = $(this).parent().parent().parent();
    $adult_guest = $room_box.find('.guest_adults').val();
    $child_guest = $room_box.find('.guest_childs').val();
    $total_guest = Number($adult_guest) + Number($child_guest);
    if($total_guest < 4){
        $count = Number($(this).parent().prev().val());
        $this.val($count+1);

        $(this).closest('.ht_shRoomOpt').find('.title_of_children').css('display','block');
        for(var i = 0; i <= $child_guest; i++ ){
           $room_box.find('.guest_child_age').eq(i).css('display','block');
        }
    }
    $room_detail = $(this).closest('.ht_shRoomOpt');
    $person_detail = $(this).closest('.package_room_detail').prev();
    calculate_package_guest_detail($room_detail,$person_detail);
    
});

$(document).on('click', '.package-hotel-child-minus', $(this), function(){
    
    $this = $(this).parent().prev();
    if($this.val() > 0){
        $count = Number($(this).parent().prev().val());
        $this.val($count-1);
    
    }

    $room_box = $(this).parent().parent().parent();
    $child_guest = $room_box.find('.guest_childs').val();
    $room_box.find('.guest_child_age').css('display','none');
    $(this).closest('.ht_shRoomOpt').find('.title_of_children').css('display','none');
    for(var i = 0; i < $child_guest; i++ ){
        $room_box.find('.guest_child_age').eq(i).css('display','block');
        $(this).closest('.ht_shRoomOpt').find('.title_of_children').css('display','block');
    }

    $room_detail = $(this).closest('.ht_shRoomOpt');
    $person_detail = $(this).closest('.package_room_detail').prev();
    calculate_package_guest_detail($room_detail,$person_detail);
    
});

$(document).on('click', '.package-hotel-adults-plus', $(this), function(){
    
    $this = $(this).parent().prev();
    $room_box = $(this).parent().parent().parent();
    $adult_guest = $room_box.find('.guest_adults').val();
    $child_guest = $room_box.find('.guest_childs').val();
    $total_guest = Number($adult_guest) + Number($child_guest);
    if($total_guest < 4){
        $count = Number($(this).parent().prev().val());
        $this.val($count+1);
    }
    
    $room_detail = $(this).closest('.ht_shRoomOpt');
    $person_detail = $(this).closest('.package_room_detail').prev();
    calculate_package_guest_detail($room_detail,$person_detail);
});


$(document).on('click', '.package-hotel-adults-minus', $(this), function(){
    
    $this = $(this).parent().prev();
    if($this.val() > 1){
        $count = Number($(this).parent().prev().val());
        $this.val($count-1);
    
    }
    $room_detail = $(this).closest('.ht_shRoomOpt');
    $person_detail = $(this).closest('.package_room_detail').prev();
    calculate_package_guest_detail($room_detail,$person_detail);
   
});

$(document).on('change', '.guest_child_age', $(this), function(){
    
    $room_detail = $(this).closest('.ht_shRoomOpt');
    $person_detail = $(this).closest('.package_room_detail').prev();
    calculate_package_guest_detail($room_detail,$person_detail);
   
});



function calculate_package_guest_detail($room_detail,$person_detail){
    
    var guset_adults = 0;
    var rooms = 0;
    var guest_childs = 0;
    var total_guest = 0;
    $room_detail.find('.numberofroom').each(function(){
        guset_adults = guset_adults + Number($(this).find('.guest_adults').val());
        guest_childs = guest_childs + Number($(this).find('.guest_childs').val());
        rooms++;
    });
    total_guest = guset_adults + guest_childs;
    $person_detail.find('.total_rooms').html(rooms);
    $person_detail.find('.total_guest').html(total_guest);
    $person_detail.find('.no_of_adult').val(guset_adults);
    $person_detail.find('.no_of_child').val(guest_childs);
    
    calculate_package_child_age($room_detail,$person_detail);
    calculate_package_room_occupancy($room_detail,$person_detail);
    
}

function calculate_package_child_age($room_detail,$person_detail){
    
    var child_extra_bed = 0;
    var child_no_extra_bed = 0;
    
    $room_detail.find('.numberofroom').each(function(){
        
            $no_of_child = Number($(this).find('.guest_childs').val());
            for(var i = 0; i < $no_of_child; i++){
                $child_age = Number($(this).find('.guest_child_age').eq(i).val());
                if($child_age > 6){
                    child_extra_bed++;
                }
                else{
                    child_no_extra_bed++;
                }
            }
        
    })
    
    
    $person_detail.find('.child_extra_bed').val(child_extra_bed);
    $person_detail.find('.child_no_extra_bed').val(child_no_extra_bed);
    
}

function calculate_package_room_occupancy($room_detail,$person_detail){
    
    var double_occupancy = 0;
    var triple_occupancy = 0;
    var guset_adults = 0;
    var guest_childs = 0;
    $room_detail.find('.numberofroom').each(function(){
        
            var child_extra_bed = 0;
            guset_adults = Number($(this).find('.guest_adults').val());
            guest_childs = Number($(this).find('.guest_childs').val());
            if(guset_adults == 3){
                triple_occupancy++;
            }
            else if(guset_adults == 2){

                 for(var i = 0; i < guest_childs; i++){
                    $child_age = Number($(this).find('.guest_child_age').eq(i).val());
                    if($child_age > 6){
                        child_extra_bed++;
                    }
                 }
                 if(child_extra_bed > 0){ triple_occupancy++; }
                 else{  double_occupancy++; }

            }
            else{
                double_occupancy++;
            }
        
    });
    
    $person_detail.find('.double_occupancy').val(double_occupancy);
    $person_detail.find('.triple_occupancy').val(triple_occupancy);
    
    
}



/* End In package list manage no of person */



$(document).on('click', '.agent_query', $(this), function(){
   
   var package_box,number_of_nights,hotel_category,trip_type,
       vehicle_name,meal_plan,itinerary_comment
       ,itinerary_start_date,trip_duration,trip_cities,itinerary_id,triple_occupancy,double_occupancy
       ,itinerary_customer_name,no_of_person,no_of_room,child_extra_bed,child_no_extra_bed;
       
   package_box = $('#itinerary-customize');
   trip_duration = package_box.find('.number_of_nights').html();
   hotel_category = package_box.find('.itinerary_hotel_category option:selected').text();
   vehicle_name = package_box.find('.itinerary_vehicle_name option:selected').text();
   meal_plan = package_box.find('.itinerary_meal_plan').val();
   itinerary_start_date =  package_box.find('.itinerary_start_date').val();
   itinerary_comment =  package_box.find('.itinerary_comment').val();
   itinerary_customer_name =  package_box.find('.itinerary_customer_name').val();
  
   no_of_person =  package_box.find('.no_of_adult').val();
   no_of_room =  package_box.find('.total_rooms').html();
   child_extra_bed =  package_box.find('.child_extra_bed').val();
   child_no_extra_bed =  package_box.find('.child_no_extra_bed').val();
   trip_cities = make_trip_cities_string(package_box);
   trip_type = package_box.find('.trip_type').val();
   
   
   
   triple_occupancy = package_box.find('.triple_occupancy').val();
   double_occupancy = package_box.find('.double_occupancy').val();
   itinerary_id = package_box.find('.itinerary_id').val();
   
   if(itinerary_start_date == ''){
       alert('Please enter travel start date ...'); 
       package_box.find('.itinerary_start_date').focus();
       return false;
   }

    $('#customize_query_loder').css('display','block');

            $.ajax({
                type: "POST",
                url: "agent_mail",
                data:{
                    travel_date:itinerary_start_date
                    ,triple_occupancy:triple_occupancy
                    ,double_occupancy:double_occupancy
                    ,child_no_extra_bed:child_no_extra_bed
                    ,child_extra_bed:child_extra_bed
                    ,itinerary_id:itinerary_id
                    ,trip_duration:trip_duration
                    ,no_of_person:no_of_person
                    ,no_of_room:no_of_room
                    ,hotel_category:hotel_category
                    ,vehicle:vehicle_name
                    ,meal_plan:meal_plan
                    ,itinerary_comment:itinerary_comment
                    ,trip_cities:trip_cities
                    ,customer_name:itinerary_customer_name
                    ,tour_type:trip_type
                    },
                beforeSend : function() { $.blockUI();},
                complete: function () { $.unblockUI(); },
                error: function () { $.unblockUI(); },
                success: function(data){ 
                        if(data == 1){ alert('Query subbmited successfuly ....');}
                        $('#customize_query_loder').css('display','none');
                        $('#itinerary-customize').find('.close').click();
                }
            });
    
});

function make_trip_cities_string(package_box){
    
    var trip_cities = '';
    package_box.find('.change-itinerary-bg').children().each(function(){
        
        trip_cities = trip_cities + $(this).find('.itinerary_detail_city_name').html()+'('+$(this).find('.itinerary_detail_nights').val()+')  ';
        
    });
    return trip_cities;
    
}



$(document).on('click', '.delete-package-query', $(this), function(){
   
   
   var result = confirm("Are you sure you want to delete this item?");
   if (result) {
   
               var query_id = $(this).parent().prev().prev().prev().find('.testing').attr('itemid'); 
               $.ajax({
                            url: "agent_delete_package_query",
                            type: "POST",
                            data:{query_id:query_id},
                            dataType:"text",
                            async:true,
                            cache: false,
                            success: function(data){ 
                                if(data == 1){
                                    alert('Query deleted successfuly ...');
                                    window.location.reload();
                                }


                            }
               });
   }
   
  
});

$(document).on('click','.popup-itinerary-download',$(this),function(){
  
    var download_from = $('#download').find('.download-from').val();
    if(download_from == 'query'){
        popup_itinerary_download_from_query($(this));
    }
    else{
       var download_id = $('#download').find('.download-id').val();
        popup_itinerary_download($(this),download_id);
    }
    
})


function popup_itinerary_download($this,download_id){
   
   
     var itinerary_id = $this.attr('itemid');
     var itemtype = $this.attr('itemtype');
     var markup = $('#download').find('.popup-itinerary-markup').val();
     var download_from = $('#download').find('.download-from').val();
     if(markup == ''){ 
       alert('Please enter markup ..'); 
       $('#download').find('.popup-itinerary-markup').focus();
       return false;
     }
       
     if(itemtype == 'word'){ 
         var download_link = base_url+'generate_word/'+download_id+'/'+markup+'/'+download_from;
         window.location = download_link;
     }
     if(itemtype == 'pdf'){ 
         var download_link = base_url+'generate_pdf/'+download_id+'/'+markup+'/'+download_from;
         window.open(download_link);
     }
     if(itemtype == 'email'){ 
         agent_mail_download_itinerary(download_id,markup);
     }

   
  
}
function popup_itinerary_download_from_query($this){
  
   var itinerary_id = $this.attr('itemid');
   var itemtype = $this.attr('itemtype');
   var markup = $('#download').find('.popup-itinerary-markup').val();
   var download_from = $('#download').find('.download-from').val();
   if(markup == ''){ 
       alert('Please enter markup ..'); 
       $('#download').find('.popup-itinerary-markup').focus();
       return false;
   }
   $.ajax({
        url: "popup_itinerary_download_pdf_from_query",
        type: "POST",
        data:{itinerary_id:itinerary_id,markup:markup,download_from:download_from},
        dataType:"text",
        async:true,
        cache: false,
        success: function(data){ 
            if(data == 2){
                    alert('Today, Itinerary has been already downloaded 10 times ...');
                    return false;
            }
            else{
                 if(itemtype == 'word'){ 
                 var download_link = base_url+'generate_word/'+data+'/'+markup+'/'+download_from;
                 window.location = download_link;
                 }
                 if(itemtype == 'pdf'){ 
                     var download_link = base_url+'generate_pdf/'+data+'/'+markup+'/'+download_from;
                     window.open(download_link);
                 }
                 if(itemtype == 'email'){ 
                     agent_mail_download_itinerary(data,markup )
                 }
                
            }
        }
   });
   
  
}







 $('.close-package-room-detail').click(function(){ 
         $(this).closest('.package_room_detail').css('display','none');
     })

